require_relative 'lib/codebreaker/version'

Gem::Specification.new do |spec|
  spec.name = 'cb-core'
  spec.version = Codebreaker::VERSION
  spec.authors = ['Dmytro Yakupov']
  spec.email = ['yakupov.dmitrij@gmail.com']

  spec.summary = 'Core'
  spec.description = 'Contains a core logic.'
  spec.homepage = 'https://github.com/YakupovDima/rubygarage-codebreaker-core'
  spec.license = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.7.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/YakupovDima/rubygarage-codebreaker-core'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'i18n', '~> 1.8.9'

  spec.add_development_dependency 'fasterer', '~> 0.8.3'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rspec_junit_formatter', '~> 0.4'
  spec.add_development_dependency 'rubocop', '~> 1.12'
  spec.add_development_dependency 'rubocop-performance', '~> 1.10'
  spec.add_development_dependency 'rubocop-rspec', '~> 2.2'
  spec.add_development_dependency 'simplecov', '~> 0.21'
end
